package com.qunzhixinxi.hnqz.admin.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qunzhixinxi.hnqz.admin.entity.WmPayOff;
import com.qunzhixinxi.hnqz.admin.entity.WmScorePackage;
import com.qunzhixinxi.hnqz.admin.entity.WmScorePackageSettleNote;
import com.qunzhixinxi.hnqz.admin.entity.input.WmScorePackageSettleInput;
import com.qunzhixinxi.hnqz.common.core.util.R;

import java.util.List;

/**
 * 结算表
 *
 * @author Liujh
 * @date 2020-12-1
 */
public interface WmPayOffService extends IService<WmPayOff> {

	public R saveSettleInfo(List<WmScorePackage> wsList) throws Exception;

	R settleById(WmScorePackageSettleInput input);

	R settleIssue(WmScorePackageSettleInput input);

	R settleSave(WmScorePackageSettleInput input);

	R settleReIssue(WmScorePackageSettleInput input);

	R settleSubmit(WmScorePackageSettleInput input);

	R settleBack(WmScorePackageSettleInput input);

	R settleIssueBySubType(WmScorePackageSettleInput input);

	R settleReIssueBySubType(WmScorePackageSettleInput input);
}
